> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto users

> Manage users

Manage users

<Tip>
  * **Platform docs:** [docs.bronto.io/Account-Management/User-Management](https://docs.bronto.io/Account-Management/User-Management)
  * **API reference:** [docs.bronto.io/api-reference/users/retrieve-a-list-of-users](https://docs.bronto.io/api-reference/users/retrieve-a-list-of-users)
</Tip>

```sh theme={"dark"}
bronto users <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto users create`](/cli/reference/commands/users#bronto-users-create) | Create a user |
| [`bronto users deactivate`](/cli/reference/commands/users#bronto-users-deactivate) | Deactivate a user |
| [`bronto users delete`](/cli/reference/commands/users#bronto-users-delete) | Delete a user |
| [`bronto users get`](/cli/reference/commands/users#bronto-users-get) | Get a user by ID |
| [`bronto users groups`](/cli/reference/commands/users#bronto-users-groups) | List the groups a user belongs to |
| [`bronto users list`](/cli/reference/commands/users#bronto-users-list) | List users |
| [`bronto users reactivate`](/cli/reference/commands/users#bronto-users-reactivate) | Reactivate a deactivated user |
| [`bronto users resend-invite`](/cli/reference/commands/users#bronto-users-resend-invite) | Resend a pending user's invitation |
| [`bronto users update`](/cli/reference/commands/users#bronto-users-update) | Update a user |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto users create

Create a user

```sh theme={"dark"}
bronto users create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users create -f email=<email> -f first_name=<first-name> -f last_name=<last-name> \
    -f 'roles=["ReadOnly"]'
bronto users create --input body.json
```

## bronto users deactivate

Deactivate a user

```sh theme={"dark"}
bronto users deactivate <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users deactivate <id>
```

## bronto users delete

Delete a user

```sh theme={"dark"}
bronto users delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users delete <id> --yes
```

## bronto users get

Get a user by ID

```sh theme={"dark"}
bronto users get <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users get <id>
```

## bronto users groups

List the groups a user belongs to

```sh theme={"dark"}
bronto users groups <user> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users groups ada@example.com
```

## bronto users list

List users

```sh theme={"dark"}
bronto users list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users list
```

## bronto users reactivate

Reactivate a deactivated user

```sh theme={"dark"}
bronto users reactivate <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users reactivate <id>
```

## bronto users resend-invite

Resend a pending user's invitation

```sh theme={"dark"}
bronto users resend-invite <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users resend-invite <id>
```

## bronto users update

Update a user

```sh theme={"dark"}
bronto users update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto users update <id> -f 'roles=["Standard"]'
bronto users update <id> --input body.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.